=== debian/control ===
Source: seetaface-boxes
Section: devel
Priority: optional
Maintainer: bd <bd@seetatech.com>
Build-Depends: debhelper (>= 11),
 libopencv-dev,
 cmake,
 seetaface-open-role-zoo,
 seetaface-authorize,
 seetaface-tennis
Standards-Version: 4.5.1
Homepage: https://github.com/TenniS-Open/TenniS.git
Rules-Requires-Root: no

Package: seetaface-boxes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Faceboxes module of seetaface
 The faceboxes module of seetaface
